function DWRUtil() {
}
DWRUtil.onReturn = function(event, action) {
	if (!event) {
		event = window.event;
	}
	if (event && event.keyCode && event.keyCode == 13) {
		action();
	}
	return false;
};
function CtrlTxtArea(object, taille) {
	if (object.value.length > taille) {
		alert("La taille maximale de saisie est de " + taille + ".");
		object.value = object.value.substr(0, taille);
	}
}
function desactiveRechercheArticle()
{
	document.getElementById('texte_recherche').disabled ='';
    document.getElementById('texte_recherche').value =''; 
    if (document.getElementById('texte_recherche_ref')) 
    {
        document.getElementById('texte_recherche_ref').disabled ='';
        document.getElementById('texte_recherche_ref').value ='';
    }
    if(document.getElementById('filtre_rayon'))
    {
    	document.getElementById('filtre_rayon').options.selectedIndex = 0;
    }
    setValueForElement('filtre_zone_geo_desactive','TRUE'); 
}
function OpenPanier(id) {
	var obj = getObj(id);
	var flg_open;
	var icpt;
	if (obj) {
		flg_open = (obj.innerHTML == "-" ? false : true);
		obj.innerHTML = (flg_open ? "-" : "+");
		icpt = 0;
		while (obj) {
			obj = getObj(id + "_" + icpt);
			if (obj)
				obj.style.display = (flg_open ? '' : 'none');
			icpt++;
		}
	}
}
function OverInt(puce, id) {
	var obj = getObj(id);
	if (obj) {
		obj.style.display = (obj.style.display == "") ? "none" : "";
		if (obj.style.display == 'none') {
			puce.src = puce.src.replace("_on.gif", "_off.gif");
			puce.title = puce.title.replace("Fermer", "Ouvrir");
			puce.alt = puce.alt.replace("Fermer", "Ouvrir");
		} else {
			puce.src = puce.src.replace("_off.gif", "_on.gif");
			puce.title = puce.title.replace("Ouvrir", "Fermer");
			puce.alt = puce.alt.replace("Ouvrir", "Fermer");
		}
	}
}
function BrwColor(mode, objectTr) {
	if (objectTr.oldClass) {
	} else {
		objectTr.oldClass = objectTr.className;
	}
	objectTr.className = (mode != "In") ? "FdStyle90" : objectTr.oldClass;
	var objectTd = objectTr.getElementsByTagName("TD");
	for ( var icpt = 0; icpt < objectTd.length; icpt++)
		objectTd[icpt].className = objectTr.className;
}
function getObjNN4(obj, name) {
	var x = obj.layers;
	var foundLayer;
	for ( var i = 0; i < x.length; i++) {
		if (x[i].id == name)
			foundLayer = x[i];
		else if (x[i].layers.length)
			var tmp = getObjNN4(x[i], name);
		if (tmp)
			foundLayer = tmp;
	}
	return foundLayer;
}
function getObj(name) {
	if (document.getElementById(name))
		return document.getElementById(name);
	else if (document.all)
		return document.all[name];
	else if (document.layers)
		return getObjNN4(document, name);
}
var currentPage;
var blk_bulle = false;
var CL = null;
var page_select = new Array();
function SelectPage(nom_bloc, id_demande, obj) {
	blk_bulle = false;
	Eteint();
	var object;
	var lst_img;
	if (CL)
		CL.hide();
	if (page_select[nom_bloc] != null) {
		object = getObj(page_select[nom_bloc]);
		if (object)
			object.style.display = "none";
		object = getObj('img_' + page_select[nom_bloc]);
		if (object)
			object.innerHTML = object.innerHTML.replace(/on.jpg/g, "off.jpg");
	}
	page_select[nom_bloc] = id_demande;
	object = getObj(page_select[nom_bloc]);
	if (object)
		object.style.display = "";
	object = getObj('img_' + page_select[nom_bloc]);
	if (object)
		object.innerHTML = object.innerHTML.replace(/off.jpg/g, "on.jpg");
	if (arguments.length > 2) {
		for ( var icpt = 3; icpt < arguments.length; icpt++) {
			object = getObj(arguments[icpt]);
			if (object)
				object.style.display = ((arguments[1] == "on") ? '' : "none");
		}
	}
	
	if (obj){
		var objectTr = obj.parentNode.parentNode;
		if (objectTr){
			var objectTable = objectTr.getElementsByTagName("TABLE");
			if (objectTable){
				for (var icpt=0;icpt<objectTable.length; icpt++){
					if (objectTable[icpt].className=="ongActif" || objectTable[icpt].className=="ongInActif"){
						objectTable[icpt].className = (obj == objectTable[icpt] ? "ongActif" : "ongInActif");
					}
				}
			}
		}
		
                jQuery(obj).parents('.liste_onglet').find('.select').removeClass('select');
                jQuery(obj).addClass('select');
	}
}

function analyzeDocumentForms(doc)
{
	var liste = {'form': new Array()};
	var form, frame, elm;
	for (var i = 0 ; i < doc.forms.length ; i++)
	{
		form = doc.forms[i];
		liste.form[i] = new Array();
		
		for (var j = 0 ; j < form.elements.length ; j++)
		{
			elm = form.elements[j];
			liste.form[i][j] = {'values': new Array() };
			
			if (elm.type == "textarea" || elm.type == "password"
				|| elm.type == "hidden" || elm.type == "text"
				|| elm.type == "select-one") {
				
				liste.form[i][j].values.push(elm.value);
				
			} else if (elm.type == "file") {
				
				liste.form[i][j].values.push(elm.value);
				
			} else if (elm.type == "checkbox") {
				
				liste.form[i][j].values.push(elm.checked);
				
			} else if (elm.type == "select-one") {
				
				liste.form[i][j].values.push(elm.value);
				
			} else if (elm.type == "select-multiple") {
				
				var index = elm.selectedIndex;
				var icpt = 0;
				while (index > -1) {
					liste.form[i][j].values.push(elm.value);
					elm.options[index].selected = false;
					index = elm.selectedIndex;
					icpt++;
				}
				
			} else if (elm.type == "radio") {
				
				liste.form[i][j].values.push(elm.checked);
					
			}
		}
	}
	
	return liste.form;
}

function listeZonePopup(fen, doc, ret)
{
	var liste =  {'forms': {}, 'frames': new Array() };
	if (!doc)
		doc = fen.document;
	
	liste.forms = analyzeDocumentForms(doc);
	
	var frs = doc.getElementsByTagName('iframe');
	var idoc, iframe;
	for (var i = 0 ; i < frs.length ; i++)
	{
		iframe = frs[i];
		idoc = (iframe.contentWindow) ? iframe.contentWindow.document : iframe.contentDocument;
		liste.frames.push(analyzeDocumentForms(idoc));
	}
	
	if (!fen.getParam('zones'))
		fen.setParam('zones', liste);
	else
		return liste;
	
}

function checkZonePopup(fen)
{
	
	var doc = fen.document;
	var oListe = fen.getParam('zones');
	var liste =  listeZonePopup(fen, doc);
	var hasChange = checkDocFormEvolution(liste.forms, oListe.forms);
	
	for (var i = 0 ; i < liste.frames.length ; i++)
	{
		if (hasChange = checkDocFormEvolution(liste.frames[i], oListe.frames[i]))
			break;
	}
	
	if (hasChange)
		CallUrl('panier_ong_2.php','OBJECT=relance');
	
}

function checkDocFormEvolution(forms, old)
{
	var form, elm, hasChange = false;
	for (var i = 0 ; i < forms.length ; i++)
	{
		form = forms[i];
		for (var j = 0 ; j < form.length ; j++)
		{
			elm = form[j];
			for (var k = 0 ; k < elm.values.length ; k++)
			{
				if (elm.values[k] != old[i][j].values[k])
				{
					return true;
				}
			}
			
		}
		
	}
	
	return false;
}

function HttpSubmit(iForm) {
	var data = "";
	var object;
	if (isNaN(iForm)) {
		objform = iForm;
	} else {
		objform = document.forms[iForm];
	}
	object = objform.elements;
	if (object) {
		for ( var i = 0; i < object.length; i++) {
			if (object[i].type == "textarea" || object[i].type == "password"
					|| object[i].type == "hidden" || object[i].type == "text"
					|| object[i].type == "select-one") {
				data += "&" + object[i].name + "="
						+ encodeURIComponent(object[i].value);
			} else if (object[i].type == "file") {
				data += "&" + object[i].name + "="
						+ encodeURIComponent(object[i].value);
			} else if (object[i].type == "checkbox") {
				if (object[i].checked)
					data += "&" + object[i].name + "=on";
				else
					data += "&" + object[i].name + "=";
			} else if (object[i].type == "select-one") {
				var index = object[i].selectedIndex;
				if (index > -1)
					data += "&"
							+ object[i].name
							+ "="
							+ encodeURIComponent(object[i].options[index].value);
				else
					data += "&" + object[i].name + "=";
			} else if (object[i].type == "select-multiple") {
				// Attention rajout de tag car notion de selection ou pas
				var obj = object[i];
				var modeAcq = obj.getAttribute('_method');
				
				if (modeAcq == null){				
					var index = object[i].selectedIndex;
					var icpt = 0;
					while (index > -1) {
						data += "&"
								+ object[i].name
								+ "["
							+ icpt
								+ "]="
								+ encodeURIComponent(object[i].options[index].value);
						object[i].options[index].selected = false;
					index = object[i].selectedIndex;
						icpt++;
					}
				}
				else
				if (modeAcq == 'all'){
					var index = obj.length;
					while (index > 0) {
						data += "&"
								+ obj.name
								+ "["
								+ icpt
								+ "]="
								+ encodeURIComponent(obj.options[icpt].value);
						index--;
						icpt++;
					}
				}
			} else if (object[i].type == "radio") {
				if (object[i].length)
					for ( var icptr = 0; icptr < object[i].length; icptr++)
						if (object[i][icptr].checked
								&& object[i][icptr].value != null)
							data += "&" + object[i].name + "="
									+ object[i][icptr].value;
				if (object[i].checked && object[i].value != null)
					data += "&" + object[i].name + "=" + object[i].value;
			}
		}
	}
	for ( var i = 1; i < arguments.length; i++)
		data += "&" + arguments[i];
	return data;
}
function SelObj(object) {
	Eteint();
	object.select();
}
function SupTr(object, rang) {
	while (object) {
		if (object.tagName == "TR") {
			rang--;
			if (rang == 0) {
				object.style.display = 'none';
				break;
			}
		}
		object = object.parentNode;
	}
}
function SwapId(id, td) {
	var object;
	object = getObj(id);
	objectrep = getObj(td);
	if (object) {
		if (object.style.display == "") {
			if (objectrep)
				objectrep.innerHTML = "+";
			object.style.display = "none";
		} else {
			if (objectrep)
				objectrep.innerHTML = "-";
			object.style.display = "";
		}
	}
}
function OpenPopup(url, name, largeur, hauteur,rez,mode) {
	var hWin;
	var top = (screen.height - hauteur) / 3;
	var left = (screen.width - largeur) / 2;
	 var rezisable = true;
	 if (rez){
		 rezisable = false;
	 }
	 if (mode == undefined)
		 mode = null;

	if(document.getElementById("tokenCSRF"))
	{
		if(url.indexOf('?') !== -1) {
			url+="&tokenCSRF="+ encodeURIComponent(document.getElementById("tokenCSRF").value);
		} else {
			url+="?tokenCSRF="+ encodeURIComponent(document.getElementById("tokenCSRF").value)
		}
	}

	hWin = window.open(url, name, "'top=" + top + ",left=" + left
			+ ",dependent,locationbar=no,scrollbars=yes,resizable="+(rezisable ? 'yes' : "no")+",width="
			+ largeur + ",height=" + hauteur+"'", false,mode);
	//hWin.focus();

	patientezMsg =  Oxa_getDevice().document.getElementById('messagePatientez').value;
		
	return '<input type="hidden" id="messagePatientez" name="messagePatientez" value="'+patientezMsg+'" />'+hWin;

}

function OpenPopupNew(url, name, largeur, hauteur,rez,mode) {
	var hWin;
	var top = (screen.height - hauteur) / 3;
	var left = (screen.width - largeur) / 2;
	 var rezisable = true;
	 if (rez){
		 rezisable = false;
	 }
	 if (mode == undefined)
		 mode = null;

	hWin = window.open(url , name,  "'top=" + top + ",left=" + left
			+ ",dependent,locationbar=no,scrollbars=yes,resizable="+(rezisable ? 'yes' : "no")+",width="
			+ largeur + ",height=" + hauteur+"'", true,mode);
		

}

function supprimerElementById(id)
{
	var el = document.getElementById(id);
	el.parentNode.removeChild(el);
}
function getFocusOn(id) {
	document.getElementById(id).focus();
}
function getSelectOn(id) {
	document.getElementById(id).select();
}

function majField(flgOpener, idCode, idLibelle, txtCode, txtLibelle,urlTo,nameForm){
	var doc = (flgOpener ? me().opener.document : document);
	
	var objCode = doc.getElementById(idCode);
	if (objCode) {
		objCode.value = txtCode;
	
		var objLibelle = doc.getElementById(idLibelle);
		if (objLibelle) objLibelle.innerHTML = txtCode;
		
		if (flgOpener) {
			window.closePopup();
			me().opener.Traite(urlTo+'?action='+idCode,objCode);
		}
		else{
			Traite(urlTo+'?action='+idCode,objCode);
		}
	}
}

function TestApplet(){
	try{
		if (document.getElementById("Applet").isAppletLoad()){
			if (!document.getElementById("Applet").isCertifAccept()){
				document.getElementById("java_certif").style.visibility = "visible";
			}
		}	
	}
	catch (e){
		document.getElementById("erreur_java").style.visibility = "visible";	
	} 
}

var punchActif   = false;
var timeOutPunch = 1;

function initTimeOutPunchOut(){
	punchActif = true;
	setTimeout("gardeContextePunch()",timeOutPunch*60000);
}

function gardeContextePunch(){
	if (punchActif){
		CallUrlAsync('gardecontexte.php');
		setTimeout("gardeContextePunch()",timeOutPunch*60000);
	}
}

function stopTimeOutPunchOut(){
	punchActif = false;
}


//
// Affichage des vignettes
//

function ImageInfosVignette(id, src, width, height) {
	// stockage des infos
	this.id         = id;
	this.src        = src;
	this.width      = width;
	this.height     = height;
}

function PresenteImageVignette(divId) {
	// constructeur
	if (divId.trim) {
		divId = divId.trim();
	}
	var tableauImages = [];
	if (divId != '') {
		// On construit l'affichage et les id / objets utilisés
		this.divPrincipalId  = divId + '_Ppal';
		this.divPrincipal    = document.getElementById(divId);
		ConstruitAffichage();
		this.divPrincipalImg = document.getElementById(divId + '_Ppal_src');
		this.divTableau      = document.getElementById(divId + '_table');
		this.divCache        = document.getElementById(divId + '_cache');

		//On parcoure le cache image
		var nbImagesTmp = this.divCache.childNodes.length;
		// nom de l'image = <nom du div englobant> + '_' + <numéro de l'image>
		var regExprDivId = new RegExp(divId+'_[0-9]+', 'i');

		for (var idxElt = 0 ; idxElt < nbImagesTmp ; idxElt++) {
			var eltTmp = this.divCache.childNodes[idxElt];
			if (typeof(eltTmp) != 'undefined') {
				if (regExprDivId.test(eltTmp.id)) {
					// pour chaque image ...
					var imgTmp = new Image();
					imgTmp.src = eltTmp.src;
					// on attend qu'elle soit chargée
					var idxWait = 10000;
					while ((!imgTmp.complete) && idxWait > 0) {
						idxWait--;
					}
					// puis on l'incorpore à la liste des images
					var imginfos = new ImageInfosVignette(eltTmp.id, eltTmp.src, imgTmp.width, imgTmp.height);
					tableauImages[tableauImages.length] = imginfos;
				}
			}
		}

		if (tableauImages.length > 0) {
			AfficheTableauImage();
			if (document.getElementById(divId+'_1_vignette')) {
				document.getElementById(divId+'_1_vignette').onclick();
			}
		}
	}

	function ConstruitAffichage() {
		// Création des éléments dans lesqules seront affichés l'image principale et les vignettes
		if (this.divPrincipal) {
			var premierTableau   = document.createElement("table");
			// première ligne
			var premierTr        = document.createElement("tr");
			var premierTd        = document.createElement("td");
			var imagePPale       = document.createElement("img");

			// deuxième ligne
			var secondTr         = document.createElement("tr");
			var secondTd         = document.createElement("td");
			var tableauVignettes = document.createElement("table");

			// Assemblage
			secondTd.appendChild(tableauVignettes);
			secondTr.appendChild(secondTd);
			premierTd.appendChild(imagePPale);
			premierTr.appendChild(premierTd);
			premierTableau.appendChild(premierTr);
			premierTableau.appendChild(secondTr);
			this.divPrincipal.appendChild(premierTableau);

			// styles
			premierTableau.width         = '202px';
			premierTableau.height        = '202px';
			premierTableau.border        = 0;
			premierTableau.style.cssText = 'padding:0;margin:0;width:202px;height:202px;';

			premierTd.align              = 'center';
			premierTd.style.cssText      = 'padding:0;margin:0;border-width:1px;border-style:solid;min-width:200px;width:200px;min-height:202px;height:202px;';

			imagePPale.id                = divId + '_Ppal_src';

			tableauVignettes.id          = divId + '_table';
			tableauVignettes.align       = 'center';
			tableauVignettes.border      = 0;
		}
	}

	function AfficheTableauImage() {
		if (this.divTableau) {
			var tailleMaxVignette = 32;
			var tailleMaxImage    = 200;
			var nbIconeParLigne   = 5;

			// on va séparer les images en lignes et colonnes pour les vignettes

			var nbColonnes = nbIconeParLigne;
			var nbLignes = Math.ceil( tableauImages.length / nbColonnes );
			var idxEltCourant = 0;

			for (var idxLigne = 0 ; idxLigne < nbLignes ; idxLigne++) {
				var eltTr = document.createElement('tr');

				for (var idxColonne = 0 ; idxColonne < nbColonnes ; idxColonne ++) {
					if (tableauImages.length > idxEltCourant) {
						var imgTmp = tableauImages[idxEltCourant];
						// On créée la cellule pour l'image
						var eltTd   = document.createElement('td');
						eltTd.width = tailleMaxVignette;
						eltTd.align = 'center';

						var eltImg  = document.createElement('img');
						eltImg.src = imgTmp.src;
						eltImg.id  = imgTmp.id + "_vignette";

						// On fait attention au format (hauteur et largeur) de l'image
						// Et on ajoute un callback pour gérer le click
						if (imgTmp.width == imgTmp.height) {
							eltImg.cssText = 'width:32px; height:32px;';
							eltImg.width   = tailleMaxVignette;
							eltImg.height  = tailleMaxVignette;
							eltImg.onclick = function () {
								var targetTmp     = this.id.substr(0, this.id.length - 9); 
								var target        = document.getElementById(targetTmp.substr(0,  targetTmp.lastIndexOf('_')) + '_Ppal_src');
								target.src        = this.src;
								target.width      = tailleMaxImage;
								target.height     = tailleMaxImage;
							}
						} else if (imgTmp.width > imgTmp.height) {
							eltImg.height *= ( tailleMaxVignette / imgTmp.width );
							eltImg.width   = tailleMaxVignette;
							eltImg.onclick = function () {
								var targetTmp     = this.id.substr(0, this.id.length - 9); 
								var target        = document.getElementById(targetTmp.substr(0,  targetTmp.lastIndexOf('_')) + '_Ppal_src');
								target.src        = this.src;
								target.height     = tailleMaxImage * (this.height / this.width);
								target.width      = tailleMaxImage;
							}
						} else {
							eltImg.width  *= ( tailleMaxVignette / eltImg.height ) ;
							eltImg.height  = tailleMaxVignette
							eltImg.onclick = function () {
								var targetTmp     = this.id.substr(0, this.id.length - 9); 
								var target        = document.getElementById(targetTmp.substr(0,  targetTmp.lastIndexOf('_')) + '_Ppal_src');
								target.src        = this.src;
								target.width      = tailleMaxImage * (this.width / this.height);
								target.height     = tailleMaxImage;
							}
						}
						eltTd.appendChild(eltImg);
						eltTr.appendChild(eltTd);
						idxEltCourant ++;
					}
					this.divTableau.appendChild(eltTr);
				}
			}
		}
	}
}

//
// Spec 3637 : Gestion du menu burger
//

//Sauvegarde éventuelle de la fonction de scroll de la fenêtre
$saveFunctionWindowOnScroll = '';

function PanelMenuBurgerRecadre() {
	var $scrollX;
	var $scrollY;
	
	if (undefined == window.scrollY) {
		// Version IE
		$scrollY = document.documentElement.scrollTop;
		$scrollX = document.documentElement.scrollLeft;
	} else {
		// Version FF, Chrome
		$scrollY = window.scrollY();
		$scrollX = window.scrollX();
	}
	//document.getElementById("MenuPanel").style.top       = $scrollY + 'px';
	document.getElementById("MenuPanelTable").style.top  = $scrollY + 'px';
	document.getElementById("MenuPanel").style.left      = $scrollX + 'px';
	
	//document.getElementById("MenuPanelCoulissant").style.top  = $scrollY + 'px';
}

// Affichage ou masquage du menu burger
function SwitchPanelMenuBurger() {
	if ('none' == document.getElementById('MenuPanel').style.display) {
		// On sauvegarde la fonction de scroll
		$saveFunctionWindowOnScroll = window.onscroll;
		window.onscroll     = function () {
			PanelMenuBurgerRecadre();
		};
		// On affiche le panneau
		document.getElementById("MenuPanel").style.zIndex = 1024;
		PanelMenuBurgerRecadre();
		jQuery("#MenuPanel").show("slide", { direction: "left", mode: "show" }, 250);
	}
	else {
		// On récupère la sauvegarde de la fonction de scroll
		window.onscroll = $saveFunctionWindowOnScroll;
		// On masque le panneau
		jQuery("#MenuPanel").hide("slide", { direction: "left", mode: "show" }, 150);
	}
}

//
// Nouveau framework
//

function SwitchCalendrier(objetId) {
 	var objetInit       = document.getElementById(objetId);
 	var valeurInit      = objetInit.value;
 								
 	var calendrierId = objetId + "_calendrier";
 	var objetCalendrier = document.getElementById(calendrierId);
 	
 	var iconId = objetId + "_icon";
 	var objetIcon = document.getElementById(iconId);
 	
 	if (!objetCalendrier) {
 		// L'objet n'existe pas, on le créé
		objetCalendrier                  = document.createElement("div");
		objetCalendrier.id               = calendrierId;
 		objetCalendrier.style.display    = "none";
 		objetCalendrier.style.visibility = "hidden";
 		objetCalendrier.style.position   = "absolute";
 								
		document.body.appendChild(objetCalendrier);
 		// L'objet est créé, on l'alimente
 		var url = "calendrier.php?action=init&objetId=" + encodeURI(objetId) + "&val=" + encodeURI(valeurInit);
 		CallUrl(url);
 	}

 	if ("none" == getComputedStyle(objetCalendrier).display) {
 		objetCalendrier.style.display         = "block";
 		objetCalendrier.style.visibility      = "visible";
 		var bodyRect = document.body.getBoundingClientRect();
 		var iconRect = objetIcon.getBoundingClientRect();
 		
 		// On commence par placer le calendrier en dessous de l\'icône
 		objetCalendrier.style.top  = (iconRect.top  - bodyRect.top + 22)   + "px";
 		objetCalendrier.style.left = (iconRect.left - bodyRect.left ) + "px";

 		// Ensuite, on le déplace s'il sort du cadre
 		var rectCalendrier = objetCalendrier.getBoundingClientRect();
 		var h = Math.max(document.documentElement.clientHeight, window.innerHeight || 0);
 		if (h < rectCalendrier.bottom)
 			objetCalendrier.style.top = objetCalendrier.style.top.replace("px", "") - (rectCalendrier.height + 22) + "px";
 		var w = Math.max(document.documentElement.clientWidth, window.innerWidth   || 0);
 		
 		if (w < rectCalendrier.right)
 			objetCalendrier.style.left = objetCalendrier.style.left.replace("px", "") - (rectCalendrier.width) + "px";
 		
 		
 	} else {
 		objetCalendrier.style.display         = "none";
 		objetCalendrier.style.visibility      = "hidden";
 		document.body.removeChild(objetCalendrier);
 	}
}

function SupprimerTousLesCalendrier() {
	var cMax;
	var idx;
	var idTmp;
	var tableauId = new Array();

	cMax = document.body.childNodes.length;
	for (idx = 0 ; idx < cMax ; idx++) {
		idTmp = document.body.childNodes[idx];
		if (idTmp)
			if (idTmp.id)
				if (idTmp.id.indexOf("_calendrier")> -1)
					tableauId.push(idTmp);
	}
		
	cMax = tableauId.length;

	for (idx = 0 ; idx < cMax ; idx++)
		document.body.removeChild(tableauId[idx]);	
}

function synchronisationDecalageHTMLTop(panelSource, idPanelCible) {
	var panelCible = document.getElementById(idPanelCible);
	if (panelSource && panelCible)
		panelCible.scrollTop = panelSource.scrollTop;
}
function synchronisationDecalageHTMLLeft(panelSource, idPanelCible) {
	var panelCible = document.getElementById(idPanelCible);
	if (panelSource && panelCible)
		panelCible.scrollLeft = panelSource.scrollLeft;
}


function executeSRM(http, session)
{
    sAppQuery = "ID_AUTO_SESSION=-A" + session;

    var sHREF = http + "PublishedApplications/OxaSas/IPADE.application?" + sAppQuery;

	window.location.href = sHREF;
}



function updateCommentaireBrRetour(value)
{	
	
	//input[name^='commentaire']
	var commentaire = jQuery( ":input" ).serializeArray();
	var myForm = $("#form_").serializeArray();

	console.log(myForm); 

	dataObj = {};

	$(commentaire).each(function(i, field){
	  dataObj[field.name] = field.value;
	});

	console.log(dataObj); 

	jQuery.ajax({
		url: 'bonRetour.php',
		type:'POST',
		data: '',
		dataType: 'JSON',
		type: 'POST',
		success: function(data){ 
			console.log(data);
		}
   });
}

function chargeMemoQuestion(id, value)
{
	if(document.getElementById('memo_'+id+'_'+value))
	{
		if(document.getElementById('memo_'+id+'_'+value).value != '')
		{
			document.getElementById(id).style.visibility = 'visible';
			document.getElementById(id+'_value').title = document.getElementById('memo_'+id+'_'+value).value;
		}else
		{
			document.getElementById(id).style.visibility = 'hidden';
			document.getElementById(id+'_value').title = '';
		}
	}else
	{
		document.getElementById(id).style.visibility = 'hidden';
		document.getElementById(id+'_value').title = '';
	}
}

function makeNewCaptcha(btn, n)
{
	var src = btn.previousSibling.src;
	var urlinfo = src.split("?");
	var urlvars = urlinfo[1].split("&");
	var id = urlvars[1];
	var idinfo = id.split("=");
	var nid = Math.random()*999;
	
	idinfo[1] = nid;
	idinfo = idinfo.join("=");
	urlvars[1] = idinfo;
	urlvars = urlvars.join("&");
	urlinfo[1] = urlvars;
	urlinfo = urlinfo.join("?");
	
	if (!(urlinfo.indexOf("reload") >=0))
		urlinfo += "&reload=true";
	
	
	btn.previousSibling.src = urlinfo;
	
	document[btn.form.name][n].value = "";
	document[btn.form.name][n].focus();
	
}

function changeCdeToDA(id, value, DA, CDE)
{

	if(document.getElementById(id).innerHTML == CDE)
	{
		document.getElementById(id).innerHTML = DA; 
	}
	else
	{
		document.getElementById(id).innerHTML = CDE; 
	}

}

function openMail(idInput)
{
	if(document.getElementById(idInput))
	{
		if(document.getElementById(idInput).value != '')
		{
			document.location.href = "mailto:"+document.getElementById(idInput).value;
		}
	}
}

function openUrl(idInput)
{
	if(document.getElementById(idInput))
	{
		if(document.getElementById(idInput).value != '')
		{
			window.open(document.getElementById(idInput).value, "_blank"); 
		}
	}
}


function escapeValueConcatenation(valueComment, id)
{
	document.getElementById(id).value = encodeURIComponent(valueComment); 
}